package xyz.pixelatedw.finalbeta.mixin;

import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.ModifyArg;

import net.minecraft.tile.FlowingFluidTile;

@Mixin(FlowingFluidTile.class)
public class FlowingFluidTileMixin {
	@ModifyArg(method = "onScheduledTick", at = @At(value = "INVOKE", target = "Lnet/minecraft/level/Level;getTileMeta(III)I"), index = 1)
	private int updateFlowingWater(int y) {
		return y - 1;
	}
}
