package xyz.pixelatedw.finalbeta.mixin;

import java.util.List;

import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfoReturnable;

import net.minecraft.entity.player.Player;
import net.minecraft.level.Level;
import net.minecraft.level.LevelMonsterSpawner;
import xyz.pixelatedw.finalbeta.ModConfig;

@Mixin(LevelMonsterSpawner.class)
public class LevelMonsterSpawnerMixin {

	@Inject(method = "method_1869", at = @At("HEAD"), cancellable = true)
	private static void nightmaresHandler(Level level, List<Player> playersList, CallbackInfoReturnable<Boolean> cir) {
		if (ModConfig.REMOVE_NIGHTMARES.get()) {
			cir.setReturnValue(false);
		}
	}

}
