package xyz.pixelatedw.finalbeta.mixin;

import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.gen.Invoker;

import net.minecraft.item.ItemInstance;
import net.minecraft.recipe.RecipeRegistry;

@Mixin(RecipeRegistry.class)
public interface RecipeRegistryAccessor {
	@Invoker("addShapedRecipe")
	void invokeAddShapedRecipe(ItemInstance result, Object... shape);

	@Invoker("addShapelessRecipe")
	void invokeAddShapelessRecipe(ItemInstance result, Object... materials);
}
