package xyz.pixelatedw.finalbeta.mixin;

import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfo;

import net.minecraft.entity.monster.Slime;
import xyz.pixelatedw.finalbeta.ModConfig;

@Mixin(Slime.class)
public class SlimeMixin {
	@Inject(method = "remove", at = @At("HEAD"))
	public void remove(CallbackInfo ci) {
		if (ModConfig.FIX_SLIME_SPLITS.get()) {
			Slime slime = ((Slime) (Object) this);
			slime.health = Math.max(slime.health, 0);
		}
	}
}
